package com.brilliance.isc.bo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Basic Functions for Business Transactions
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class Trndoc extends AbstractCommonVo {
    private static Logger log = LoggerFactory.getLogger(Trndoc.class);

    private Ersmod ersmod;

//    private Wrkers wrkers;


    @Override
    public void reset() {
        super.reset();
        if (ersmod == null) {
            ersmod = new Ersmod();
        }
        ersmod.reset();
    }
}